#
# spec file for package azure-cli
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           azure-cli
Version:        2.0.18
Release:        lp150.1.3
Summary:        Microsoft Azure CLI 2.0
License:        MIT
Group:          System/Management
Url:            https://github.com/Azure/azure-cli
Source:         https://files.pythonhosted.org/packages/source/a/azure-cli/azure-cli-%{version}.tar.gz
Source1:        LICENSE.txt
Patch1:         ac_use-python3-by-default.patch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildRequires:  azure-cli-nspkg
BuildRequires:  python3-azure-nspkg
Requires:       python3-azure-nspkg
Requires:       azure-cli-acr
Requires:       azure-cli-acs
Requires:       azure-cli-appservice
Requires:       azure-cli-batch
Requires:       azure-cli-backup
Requires:       azure-cli-billing
Requires:       azure-cli-cdn
Requires:       azure-cli-cloud
Requires:       azure-cli-cognitiveservices
Requires:       azure-cli-component
Requires:       azure-cli-container
Requires:       azure-cli-configure
Requires:       azure-cli-consumption
Requires:       azure-cli-core
Requires:       azure-cli-cosmosdb
Requires:       azure-cli-dla
Requires:       azure-cli-dls
Requires:       azure-cli-eventgrid
Requires:       azure-cli-extension
Requires:       azure-cli-feedback
Requires:       azure-cli-find
Requires:       azure-cli-interactive
Requires:       azure-cli-iot
Requires:       azure-cli-keyvault
Requires:       azure-cli-lab
Requires:       azure-cli-monitor
Requires:       azure-cli-network
Requires:       azure-cli-nspkg
Requires:       azure-cli-profile
Requires:       azure-cli-rdbms
Requires:       azure-cli-redis
Requires:       azure-cli-resource
Requires:       azure-cli-role
Requires:       azure-cli-sql
Requires:       azure-cli-storage
Requires:       azure-cli-vm
Conflicts:      azure-cli < 2.0.0

BuildArch:      noarch

%description
Microsoft Azure CLI 2.0 Command Line Utilities

%prep
%setup -q -n azure-cli-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-cli-%{version}
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python3_sitelib}
install -DTm644 %{buildroot}%{_bindir}/az.completion.sh %{buildroot}/etc/bash_completion.d/az.completion.sh
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__pycache__
rm -rf %{buildroot}%{python3_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/__pycache__

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{_bindir}/az
%config /etc/bash_completion.d/az.completion.sh
%exclude /usr/bin/az.bat
%exclude /usr/bin/az.completion.sh
%{python3_sitelib}/azure/cli
%{python3_sitelib}/azure_cli-*.egg-info
%changelog
* Wed Sep 27 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 2.0.18
- Include patch to set python3 as the default python
  interpretor for the "az" command
  + ac_use-python3-by-default.patch
